Saltar al contenido principal
PUT
/
v1
/
people
/
employees
/
{employeeReference}
Edit an existing employee
curl --request PUT \
  --url https://api.bold-factory.com/v1/people/employees/{employeeReference} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "code": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "emails": [
    "<string>"
  ]
}
'
{
  "type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
  "title": "Filter parsing failed",
  "status": 400,
  "detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
  "instance": "POST /v1/items/products/search",
  "code": "FILTER_PARSING_FAILED"
}

Autorizaciones

Authorization
string
header
requerido

Use a valid JWT token in the Authorization header with the format 'Bearer {token}'

Parámetros de ruta

employeeReference
string
requerido

Cuerpo

application/json
code
string
requerido
firstName
string
requerido
lastName
string
requerido
emails
string[]
requerido

Respuesta

No Content